{ config, pkgs, ... }:
{
  nixpkgs.config.allowUnfree = true;
  home.username = "svante";
  home.homeDirectory = "/home/svante";
  home.stateVersion = "23.11"; 

  home.packages = with pkgs; [
    fortune
    mako
    kdePackages.kalgebra
    libreoffice
    htop
    ripgrep
    xwaylandvideobridge
    qtpass
    pipewire
    jdk21
    wireplumber
    xdg-desktop-portal-hyprland
    qt6.qtwayland
    libsForQt5.qt5.qtwayland
    ccls
    clang
    obs-studio
    prismlauncher
    prusa-slicer
    gphoto2
    freecad
    direnv
    easyeffects
    tmux
    kicad
    spotify
    arduino-ide
    blender
    gimp
    davinci-resolve
    feh
    unityhub
    distrobox
    godot_4
    dig
    socat
    android-studio
    android-tools
    steam
    sidequest
    libei
  ];

  programs.ncspot = {
    enable = true;
    settings = {
      notify = true;
    };
  };

  services.mako = {
    enable = true;
    backgroundColor = "#1e1e2ee0";
    borderRadius = 10;
    icons = false;
    defaultTimeout = 3000;
  };

  home.file = {
	".config/fuzzel".source = dotfiles/fuzzel;
	".config/hypr".source = dotfiles/hypr;
	".config/kitty".source = dotfiles/kitty;
	".config/nvim/lua/vanten".source = dotfiles/nvim;
	".config/waybar".source = dotfiles/waybar;
	".config/zsh".source = dotfiles/zsh;
	"scripts".source = dotfiles/scripts;
	".zshrc".source = dotfiles/zshrc;
	".config/local".source = dotfiles/local;
  };

  home.sessionVariables = { };

  programs.home-manager.enable = true;
}
